summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* dev-php/composer: bump to v1.9.0Thomas Deutschmann4 days2-0/+49
| | | | | Package-Manager: Portage-2.3.71, Repoman-2.3.17 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* dev-php/composer: Remove HOMEPAGE from SRC_URI; add RESTRICT on testBrian Evans5 days1-1/+2
| | | | | Package-Manager: Portage-2.3.71, Repoman-2.3.17 Signed-off-by: Brian Evans <grknight@gentoo.org>
* dev-php/composer: Drop oldBrian Evans5 days9-359/+0
| | | | | Package-Manager: Portage-2.3.71, Repoman-2.3.17 Signed-off-by: Brian Evans <grknight@gentoo.org>
* dev-php/composer: bump to v1.8.6Thomas Deutschmann2019-07-182-0/+48
| | | | | Package-Manager: Portage-2.3.68, Repoman-2.3.16 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* dev-php/composer: version bump 1.8.4.Guillaume Seren2019-03-092-0/+48
| | | | | | | | | Closes: https://bugs.gentoo.org/679850 Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Guillaume Seren <guillaumeseren@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/11317 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
* dev-php/composer: version bump to 1.8.3.Guillaume Seren2019-02-112-0/+48
| | | | | | | | Closes: https://bugs.gentoo.org/677658 Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Guillaume Seren <guillaumeseren@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/11024 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
* dev-php/composer: bump to 1.8.0Tomas Mozes2018-12-232-0/+47
| | | | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/10673 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* dev-php/composer: bump to 1.7.3Tomas Mozes2018-11-102-0/+47
| | | | | | | Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/10351 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* dev-php/composer: bump to 1.7.2Tomas Mozes2018-09-203-0/+75
| | | | | | Closes: https://bugs.gentoo.org/665426 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Package-Manager: Portage-2.3.49, Repoman-2.3.10
* dev-php/composer: bump to 1.6.5Tomas Mozes2018-05-122-0/+47
| | | | | Closes: https://github.com/gentoo/gentoo/pull/8144 Package-Manager: Portage-2.3.36, Repoman-2.3.9
* dev-php/composer: Drop oldBrian Evans2018-03-202-47/+0
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* dev-php/composer: Version bumpBrian Evans2018-02-202-0/+47
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* dev-php/composer: remove "unused" composer-1.5.5.ebuild.Michael Orlitzky2018-01-222-47/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* dev-php/composer: version bump to 1.6.2.Guillaume Seren2018-01-222-0/+47
| | | | Closes: https://bugs.gentoo.org/644774
* dev-php/composer: remove unused composer-1.5.2-r1.ebuild.Michael Orlitzky2017-12-032-47/+0
| | | | Package-Manager: Portage-2.3.13, Repoman-2.3.3
* dev-php/composer: Add version bump 1.5.5Guillaume Seren2017-12-032-0/+47
| | | | | | | | Package-Manager: Portage-2.3.13, Repoman-2.3.3 Closes: https://bugs.gentoo.org/639504 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
* dev-php/composer: remove old version 1.5.1.Michael Orlitzky2017-11-012-47/+0
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-php/composer: bump the lower bound on dev-php/json-schema to v3.0.0.Michael Orlitzky2017-11-011-1/+1
| | | | | | | | | The package.json file for composer says that json-schema v3, v4, or v5 are all good. The lower (inclusive) bound in the ebuild was v2, so it has been updated to >=3.0.0. Thanks to Guillaume Seren for noticing. Closes: https://github.com/gentoo/gentoo/pull/6099 Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-php/composer: bump to 1.5.2Tomas Mozes2017-11-012-0/+47
| | | | | | Package-Manager: Portage-2.3.13, Repoman-2.3.4 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
* dev-php/composer: drop unused version 1.4.1.Michael Orlitzky2017-08-182-47/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.1
* dev-php/composer: Add version bump 1.5.1Guillaume Seren2017-08-182-0/+47
| | | | | | | | Bump to 1.5.1 https://bugs.gentoo.org/show_bug.cgi?id=627908 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
* dev-php/composer: version bump 1.3.1 -> 1.4.1.Michael Orlitzky2017-04-274-57/+18
| | | | | | | | | | | | | | | | | | | | | | | | | This commit adds composer-1.4.1 and removes the old composer-1.3.1 at the same time, allowing me to mess with the autoload.php in-flight. We had one patch that was giving us trouble with v1.4.1, and this new ebuild is an experiment to see if we can do away with it. Instead of installing to /usr/share/php/Composer, the new v1.4.1 will install to /usr/share/composer, and only create a symlink from /usr/bin/composer to the "real" executable under /usr/share. Since the executable loads everything via relative paths, having the "real" executable under /usr/share (with the rest of its stuff) allows composer to find what it's looking for out-of-the box, without us having to point it towards our particular install location. As a result, I've removed the one patch that did so, and I've updated autoload.php with the new path. Thanks are due to Guillaume Seren who did most of the prerequisite work and stayed on top of the pull request and bug. Gentoo-Bug: 613898 Closes: https://github.com/gentoo/gentoo/pull/4364 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-281-1/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* dev-php/composer: add a comment about installing the LICENSE file.Michael Orlitzky2017-01-101-0/+3
| | | | Package-Manager: portage-2.3.0
* dev-php/composer: remove old version 1.2.4.Michael Orlitzky2017-01-102-41/+0
| | | | Package-Manager: portage-2.3.0
* dev-php/composer: bump to 1.3.1Tomas Mozes2017-01-102-0/+41
| | | | Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
* dev-php/composer: remove old version 1.2.2.Michael Orlitzky2016-12-232-41/+0
| | | | Package-Manager: portage-2.3.0
* dev-php/composer: bump to 1.2.4Tomáš Mózes2016-12-232-0/+41
| | | | Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
* dev-php/composer: add the PHP project as a co-maintainer.Michael Orlitzky2016-12-181-0/+3
| | | | Package-Manager: portage-2.3.0
* dev-php/composer: loosen restrictions on dependencies.Michael Orlitzky2016-12-181-13/+13
| | | | | | | | | Many of this package's dependencies were declared with the tilde "~" operator. Per discussion with the maintainer, these are probably better off being "newer than" operators. We retain the lower bound set by upstream. Package-Manager: portage-2.3.0
* dev-php/composer: add upstream/remote-id tag to metadata.xml.Michael Orlitzky2016-12-181-0/+3
| | | | Package-Manager: portage-2.3.0
* dev-php/composer: Add 1.2.2 versionGuillaume Seren2016-12-185-0/+129
This package is a source alternative to the phar one. It use dev-php/fedora-autoloader to provide a PSR4 loader, for itself (composer) and all the dependencies, bug 439206. Suggested-by: Michael Orlitzky <mjo@gentoo.org> Signed-off-by: Michael Orlitzky <mjo@gentoo.org>